#
# spec file for package python-termcolor
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-termcolor
Version:        1.1.0
Release:        13.1
Url:            http://pypi.python.org/pypi/termcolor
Summary:        ANSII Color formatting for output in terminal
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/t/termcolor/termcolor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Available text colors: grey, red, green, yellow, blue, magenta, cyan, white.
Available text highlights: on_grey, on_red, on_green, on_yellow, on_blue, on_magenta, on_cyan, on_white.
Available attributes: bold, dark, underline, blink, reverse, concealed.

%prep
%setup -q -n termcolor-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYING.txt README.rst
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Nov 19 2012 saschpe@suse.de
- Macro cleanup
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 1.1.0:
  * Added cprint function.
* Thu Nov 26 2009 poeml@cmdline.net
- add missing tarball
- add changes file
* Tue Nov 24 2009 cfarrell1980@gmail.com
- First build
